## NAME

v.delaunay - Creates a Delaunay triangulation from an input vector map containing points or centroids.

## KEYWORDS

vector, geometry, triangulation

## SYNOPSIS

v.delaunay
v.delaunay help
v.delaunay [-rl] input=name output=name [--overwrite] [--verbose] [--quiet]

### Flags:

-r
  Use only points in current region
-l
  Output triangulation as a graph (lines), not areas
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map

## DESCRIPTION

v.delaunay uses an existing vector points map (input) to create a Delaunay triangulation vector map (output).

Delaunay triangulation and Voronoi diagram example:

Delaunay Triangulation (left pane), Voronoi diagram (center pane), and both (right pane)

## EXAMPLE

Commands used with the Spearfish dataset to create the above figure.

      g.region n=4927250 s=4919400 w=588650 e=594850
      d.frame -c fr=one at=0,100,0,33.3333
      d.frame -c fr=two at=0,100,33.3333,66.6667
      d.frame -c fr=three at=0,100,66.6667,100

      v.delaunay -lr in=archsites out=arch_delaunay
      d.frame -s one
      d.vect arch_delaunay
      d.vect archsites color=red fcolor=red size=5 icon=basic/circle

      v.voronoi -l in=archsites out=arch_voronoi
      d.frame -s two
      d.vect arch_voronoi type=line
      d.vect archsites color=red fcolor=red size=5 icon=basic/circle

      d.frame -s three
      d.vect arch_voronoi type=line
      d.vect arch_delaunay color=blue
      d.vect archsites color=red fcolor=red size=5 icon=basic/circle

## REFERENCES

Leonid Guibas and Jorge Stolfi, (1985). Primitives for the Manipulation of General Subdivisions and the Computation of Voronoi Diagrams, ACM Transactions on Graphics, Vol 4, No. 2, April 1985, Pages 74-123

## SEE ALSO

v.voronoi, v.hull

## AUTHORS

Martin Pavlovsky, Google Summer of Code 2008, Student
Paul Kelly, Mentor
Based on "dct" by Geoff Leach, Department of Computer Science, RMIT.

Last changed: $Date: 2013-03-26 22:18:02 +0100 (út, 26 III 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team